=== arch/mips/boot/dts/Makefile ===
# SPDX-License-Identifier: GPL-2.0
subdir-y	+= brcm
subdir-y	+= cavium-octeon
subdir-y	+= econet
subdir-y	+= mobileye
subdir-y	+= img
subdir-y	+= ingenic
subdir-y	+= lantiq
subdir-y	+= loongson
subdir-y	+= mscc
subdir-y	+= mti
subdir-y	+= ni
subdir-y	+= pic32
subdir-y	+= qca
subdir-y	+= ralink
subdir-y	+= realtek
subdir-y	+= xilfpga
