=== arch/arm/boot/dts/ti/omap/Makefile ===
# SPDX-License-Identifier: GPL-2.0
dtb-$(CONFIG_ARCH_OMAP2) += \
	omap2420-h4.dtb \
	omap2420-n800.dtb \
	omap2420-n810.dtb \
	omap2420-n810-wimax.dtb \
	omap2430-sdp.dtb
dtb-$(CONFIG_ARCH_OMAP3) += \
	am3517-craneboard.dtb \
	am3517-evm.dtb \
	am3517_mt_ventoux.dtb \
	logicpd-torpedo-35xx-devkit.dtb \
	logicpd-torpedo-37xx-devkit.dtb \
	logicpd-torpedo-37xx-devkit-28.dtb \
	logicpd-som-lv-35xx-devkit.dtb \
	logicpd-som-lv-37xx-devkit.dtb \
	omap3430-sdp.dtb \
	omap3-beagle.dtb \
	omap3-beagle-ab4.dtb \
	omap3-beagle-xm.dtb \
	omap3-beagle-xm-ab.dtb \
	omap3-cm-t3517.dtb \
	omap3-cm-t3530.dtb \
	omap3-cm-t3730.dtb \
	omap3-devkit8000.dtb \
	omap3-devkit8000-lcd43.dtb \
	omap3-devkit8000-lcd70.dtb \
	omap3-echo.dtb \
	omap3-evm.dtb \
	omap3-evm-37xx.dtb \
	omap3-gta04a3.dtb \
	omap3-gta04a4.dtb \
	omap3-gta04a5.dtb \
	omap3-gta04a5one.dtb \
	omap3-ha.dtb \
	omap3-ha-lcd.dtb \
	omap3-igep0020.dtb \
	omap3-igep0020-rev-f.dtb \
	omap3-igep0030.dtb \
	omap3-igep0030-rev-g.dtb \
	omap3-ldp.dtb \
	omap3-lilly-dbb056.dtb \
	omap3-n900.dtb \
	omap3-n9.dtb \
	omap3-n950.dtb \
	omap3-overo-alto35.dtb \
	omap3-overo-chestnut43.dtb \
	omap3-overo-gallop43.dtb \
	omap3-overo-palo35.dtb \
	omap3-overo-palo43.dtb \
	omap3-overo-storm-alto35.dtb \
	omap3-overo-storm-chestnut43.dtb \
	omap3-overo-storm-gallop43.dtb \
	omap3-overo-storm-palo35.dtb \
	omap3-overo-storm-palo43.dtb \
	omap3-overo-storm-summit.dtb \
	omap3-overo-storm-tobi.dtb \
	omap3-overo-storm-tobiduo.dtb \
	omap3-overo-summit.dtb \
	omap3-overo-tobi.dtb \
	omap3-overo-tobiduo.dtb \
	omap3-pandora-600mhz.dtb \
	omap3-pandora-1ghz.dtb \
	omap3-sbc-t3517.dtb \
	omap3-sbc-t3530.dtb \
	omap3-sbc-t3730.dtb \
	omap3-sniper.dtb \
	omap3-thunder.dtb \
	omap3-zoom3.dtb
dtb-$(CONFIG_ARCH_OMAP4) += \
	omap4-droid-bionic-xt875.dtb \
	omap4-droid4-xt894.dtb \
	omap4-duovero-parlor.dtb \
	omap4-epson-embt2ws.dtb \
	omap4-kc1.dtb \
	omap4-panda.dtb \
	omap4-panda-a4.dtb \
	omap4-panda-es.dtb \
	omap4-sdp.dtb \
	omap4-sdp-es23plus.dtb \
	omap4-var-dvk-om44.dtb \
	omap4-var-stk-om44.dtb \
	omap4-xyboard-mz609.dtb \
	omap4-xyboard-mz617.dtb
dtb-$(CONFIG_SOC_AM33XX) += \
	am335x-baltos-ir2110.dtb \
	am335x-baltos-ir3220.dtb \
	am335x-baltos-ir5221.dtb \
	am335x-base0033.dtb \
	am335x-bone.dtb \
	am335x-boneblack.dtb \
	am335x-boneblack-wireless.dtb \
	am335x-boneblue.dtb \
	am335x-bonegreen.dtb \
	am335x-bonegreen-wireless.dtb \
	am335x-bonegreen-eco.dtb \
	am335x-chiliboard.dtb \
	am335x-cm-t335.dtb \
	am335x-evm.dtb \
	am335x-evmsk.dtb \
	am335x-guardian.dtb \
	am335x-icev2.dtb \
	am335x-lxm.dtb \
	am335x-mba335x.dtb \
	am335x-moxa-uc-2101.dtb \
	am335x-moxa-uc-8100-me-t.dtb \
	am335x-myirtech-myd.dtb \
	am335x-nano.dtb \
	am335x-netcan-plus-1xx.dtb \
	am335x-netcom-plus-2xx.dtb \
	am335x-netcom-plus-8xx.dtb \
	am335x-pdu001.dtb \
	am335x-pepper.dtb \
	am335x-phycore-rdk.dtb \
	am335x-pocketbeagle.dtb \
	am335x-regor-rdk.dtb \
	am335x-sancloud-bbe.dtb \
	am335x-sancloud-bbe-lite.dtb \
	am335x-sancloud-bbe-extended-wifi.dtb \
	am335x-shc.dtb \
	am335x-sbc-t335.dtb \
	am335x-sl50.dtb \
	am335x-wega-rdk.dtb \
	am335x-osd3358-sm-red.dtb
dtb-$(CONFIG_SOC_AM43XX) += \
	am43x-epos-evm.dtb \
	am437x-cm-t43.dtb \
	am437x-gp-evm.dtb \
	am437x-idk-evm.dtb \
	am437x-sbc-t43.dtb \
	am437x-sk-evm.dtb

am57xx-evm-dtbs := am57xx-beagle-x15.dtb am57xx-evm.dtbo
am57xx-evm-reva3-dtbs := am57xx-beagle-x15-revc.dtb am57xx-evm.dtbo

am571x-idk-overlays-dtbs := am571x-idk.dtb \
	am571x-idk-touchscreen.dtbo am57xx-idk-lcd-osd101t2587.dtbo
am572x-idk-overlays-dtbs := am572x-idk.dtb \
	am572x-idk-touchscreen.dtbo am57xx-idk-lcd-osd101t2045.dtbo

# Build time test only, enabled by CONFIG_OF_ALL_DTBS
dtb- += \
	am571x-idk-overlays.dtb \
	am572x-idk-overlays.dtb

dtb-$(CONFIG_SOC_DRA7XX) += \
	am57xx-beagle-x15.dtb \
	am57xx-beagle-x15-revb1.dtb \
	am57xx-beagle-x15-revc.dtb \
	am57xx-evm.dtb \
	am57xx-evm-reva3.dtb \
	am5729-beagleboneai.dtb \
	am57xx-cl-som-am57x.dtb \
	am57xx-sbc-am57x.dtb \
	am572x-idk.dtb \
	am572x-idk-touchscreen.dtbo \
	am571x-idk.dtb \
	am571x-idk-touchscreen.dtbo \
	am574x-idk.dtb \
	am57xx-idk-lcd-osd101t2045.dtbo \
	am57xx-idk-lcd-osd101t2587.dtbo \
	dra7-evm.dtb \
	dra72-evm.dtb \
	dra72-evm-revc.dtb \
	dra71-evm.dtb \
	dra76-evm.dtb
dtb-$(CONFIG_SOC_OMAP5) += \
	omap5-cm-t54.dtb \
	omap5-igep0050.dtb \
	omap5-sbc-t54.dtb \
	omap5-uevm.dtb
dtb-$(CONFIG_SOC_TI81XX) += \
	am3874-iceboard.dtb \
	dm8148-evm.dtb \
	dm8148-t410.dtb \
	dm8168-evm.dtb \
	dra62x-j5eco-evm.dtb
